'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var random_node = require('./random.node.js');
var uuid = require('./uuid.js');
require('./random.js');

// Copyright (c) Jupyter Development Team.
/**
 * The namespace for UUID related functionality.
 */
exports.UUID = void 0;
(function (UUID) {
    /**
     * A function which generates UUID v4 identifiers.
     *
     * @returns A new UUID v4 string.
     *
     * #### Notes
     * This implementation complies with RFC 4122.
     *
     * This uses `Random.getRandomValues()` for random bytes, which in
     * turn will use the underlying `crypto` module of the platform if
     * it is available. The fallback for randomness is `Math.random`.
     */
    UUID.uuid4 = uuid.uuid4Factory(random_node.Random.getRandomValues);
})(exports.UUID || (exports.UUID = {}));
//# sourceMappingURL=uuid.node.js.map
